{-# LANGUAGE CPP #-}
{-# LANGUAGE NoRebindableSyntax #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
module Paths_tabelas (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/olivetti/Downloads/testesHaskell/tabelas/.stack-work/install/x86_64-linux/2bee4bf8a648c01bce6c02bd0ef8208232b7be97b194a8edea18e5623bc0010c/8.8.4/bin"
libdir     = "/home/olivetti/Downloads/testesHaskell/tabelas/.stack-work/install/x86_64-linux/2bee4bf8a648c01bce6c02bd0ef8208232b7be97b194a8edea18e5623bc0010c/8.8.4/lib/x86_64-linux-ghc-8.8.4/tabelas-0.1.0.0-8MZ9N4ErpDTFODkV78NiWr-tabelas"
dynlibdir  = "/home/olivetti/Downloads/testesHaskell/tabelas/.stack-work/install/x86_64-linux/2bee4bf8a648c01bce6c02bd0ef8208232b7be97b194a8edea18e5623bc0010c/8.8.4/lib/x86_64-linux-ghc-8.8.4"
datadir    = "/home/olivetti/Downloads/testesHaskell/tabelas/.stack-work/install/x86_64-linux/2bee4bf8a648c01bce6c02bd0ef8208232b7be97b194a8edea18e5623bc0010c/8.8.4/share/x86_64-linux-ghc-8.8.4/tabelas-0.1.0.0"
libexecdir = "/home/olivetti/Downloads/testesHaskell/tabelas/.stack-work/install/x86_64-linux/2bee4bf8a648c01bce6c02bd0ef8208232b7be97b194a8edea18e5623bc0010c/8.8.4/libexec/x86_64-linux-ghc-8.8.4/tabelas-0.1.0.0"
sysconfdir = "/home/olivetti/Downloads/testesHaskell/tabelas/.stack-work/install/x86_64-linux/2bee4bf8a648c01bce6c02bd0ef8208232b7be97b194a8edea18e5623bc0010c/8.8.4/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "tabelas_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "tabelas_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "tabelas_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "tabelas_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "tabelas_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "tabelas_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
